MapCollectionMapper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation
Class MapCollectionMapper<T extends Map>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper<T>
          org.hibernate.envers.entities.mapper.relation.MapCollectionMapper<T>

All Implemented Interfaces:
  PropertyMapper

Direct Known Subclasses:
  SortedMapCollectionMapper

    public class MapCollectionMapper<T extends Map>

extends AbstractCollectionMapper<T>
implements PropertyMapper

Field Summary
`protected MiddleComponentData` | `elementComponentData`
`protected MiddleComponentData` | `indexComponentData`

Fields inherited from class org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper
`collectionClass, commonCollectionMapperData`

Constructor Summary
`MapCollectionMapper(CommonCollectionMapperData commonCollectionMapperData, Class<? extends T> collectionClass, Class<? extends T> proxyClass, MiddleComponentData elementComponentData, MiddleComponentData indexComponentData)`

Method Summary
`protected Initializor<T>` | `getInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Object primaryKey, Number revision)`
`protected Collection` | `getNewCollectionContent(PersistentCollection newCollection)`
`protected Collection` | `getOldCollectionContent(Serializable oldCollection)`
`protected void` | `mapToMapFromObject(Map<String,Object> data, Object changed)` Maps the changed collection element to the given map.

Methods inherited from class org.hibernate.envers.entities.mapper.relation.AbstractCollectionMapper
`mapCollectionChanges, mapModifiedFlagsToMapForCollectionChange, mapModifiedFlagsToMapFromEntity, mapToEntityFromMap, mapToMapFromEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.envers.entities.mapper.PropertyMapper
`mapCollectionChanges, mapModifiedFlagsToMapForCollectionChange, mapModifiedFlagsToMapFromEntity, mapToEntityFromMap, mapToMapFromEntity`

Field Detail

### elementComponentData

    protected final MiddleComponentData elementComponentData

### indexComponentData

    protected final MiddleComponentData indexComponentData

Constructor Detail

### MapCollectionMapper

    public MapCollectionMapper(CommonCollectionMapperData commonCollectionMapperData,
                               Class<? extends T> collectionClass,
                               Class<? extends T> proxyClass,
                               MiddleComponentData elementComponentData,
                               MiddleComponentData indexComponentData)

Method Detail

### getInitializor

    protected Initializor<T> getInitializor(AuditConfiguration verCfg,
                                            AuditReaderImplementor versionsReader,
                                            Object primaryKey,
                                            Number revision)

  Specified by:
    `getInitializor` in class `AbstractCollectionMapper<T extends Map>`

### getNewCollectionContent

    protected Collection getNewCollectionContent(PersistentCollection newCollection)

  Specified by:
    `getNewCollectionContent` in class `AbstractCollectionMapper<T extends Map>`

### getOldCollectionContent

    protected Collection getOldCollectionContent(Serializable oldCollection)

  Specified by:
    `getOldCollectionContent` in class `AbstractCollectionMapper<T extends Map>`

### mapToMapFromObject

    protected void mapToMapFromObject(Map<String,Object> data,
                                      Object changed)

  Description copied from class: `AbstractCollectionMapper`
  Maps the changed collection element to the given map.

  Specified by:
    `mapToMapFromObject` in class `AbstractCollectionMapper<T extends Map>`
  Parameters:
    `data` - Where to map the data.
    `changed` - The changed collection element to map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.